org.codehaus.groovy.runtime.typehandling

## Class ShortTypeHandling

- java.lang.Object
- - org.codehaus.groovy.runtime.typehandling.ShortTypeHandling

-     public class ShortTypeHandling
      extends Object

  Class providing various short paths for type conversions. Read the comments to what conditions have to be met to get valid results! Any method here must not depend on the groovy runtime.
  Author:
    Jochen Theodorou

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShortTypeHandling()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Character` | `castToChar(Object object)`
    `static Class` | `castToClass(Object object)`
    `static Enum` | `castToEnum(Object object, Class<? extends Enum> type)` this class requires that the supplied enum is not fitting a Collection case for casting
    `static String` | `castToString(Object object)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShortTypeHandling

          public ShortTypeHandling()

  - ### Method Detail

    - #### castToClass

          public static Class castToClass(Object object)

    - #### castToString

          public static String castToString(Object object)

    - #### castToEnum

          public static Enum castToEnum(Object object,
                        Class<? extends Enum> type)

      this class requires that the supplied enum is not fitting a Collection case for casting

    - #### castToChar

          public static Character castToChar(Object object)